K3b pollycoke: manca 2.3.4-0mlind1 [Risolto]

Installazione, configurazione e uso di programmi e strumenti.
Scrivi risposta
Avatar utente
domi84
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1160
Iscrizione: lunedì 20 novembre 2006, 19:20
Località: Glasgow
Contatti:

K3b pollycoke: manca 2.3.4-0mlind1 [Risolto]

Messaggio da domi84 »

Uso Ubuntu 7.04!Quando provo ad aggiornare k3b da pollycoke da synaptic, mi da questo errore:

Codice: Seleziona tutto

k3b:
  Dipende: libfreetype6 (>=2.3.5) ma 2.3.4-0mlind1 verrà installato
Ho cercato il pacchetto 2.3.4-0mlind1 ma non lo trova...dove lo prendo? :-\
Ultima modifica di domi84 il domenica 5 agosto 2007, 17:26, modificato 1 volta in totale.
Avatar utente
Rospo Zoppo
Rampante Reduce
Rampante Reduce
Messaggi: 5291
Iscrizione: martedì 16 gennaio 2007, 20:35

Re: K3b pollycoke: manca 2.3.4-0mlind1

Messaggio da Rospo Zoppo »

Ma veramente la dipendenza è libfreetype6
Avatar utente
domi84
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1160
Iscrizione: lunedì 20 novembre 2006, 19:20
Località: Glasgow
Contatti:

Re: K3b pollycoke: manca 2.3.4-0mlind1

Messaggio da domi84 »

Mmm...e allora che vuol dire questo errore??? :-\
libfreetype6 ce l'ho installata...
Avatar utente
Rospo Zoppo
Rampante Reduce
Rampante Reduce
Messaggi: 5291
Iscrizione: martedì 16 gennaio 2007, 20:35

Re: K3b pollycoke: manca 2.3.4-0mlind1

Messaggio da Rospo Zoppo »

Potrebbe voler dire che il pacchetto che sta per installare disturba quell'altra dipendenza..  :-\
Avatar utente
domi84
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1160
Iscrizione: lunedì 20 novembre 2006, 19:20
Località: Glasgow
Contatti:

Re: K3b pollycoke: manca 2.3.4-0mlind1

Messaggio da domi84 »

Ma....ma quell'altra dipendenza non esiste!!!  ::) ??? ::)
Avatar utente
gpz500
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 409
Iscrizione: mercoledì 3 maggio 2006, 15:45
Contatti:

Re: K3b pollycoke: manca 2.3.4-0mlind1

Messaggio da gpz500 »

Vuol dire che k3b di pollycoke dipende da libfreetype6 versione 2.3.5 o superiore, ma quella disponibile dai tuoi repo è la versione 2.3.4-0mlind1, quindi verrà installata quest'ultima (anche se non soddisfa le dipendenze di k3b).

Devi trovare ed installare libfreetype6 nella versione richiesta.
Homepage: gpz500's Weblog
Avatar utente
gpz500
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 409
Iscrizione: mercoledì 3 maggio 2006, 15:45
Contatti:

Re: K3b pollycoke: manca 2.3.4-0mlind1

Messaggio da gpz500 »

Sul commento #30 di questo post

http://pollycoke.wordpress.com/2007/07/ ... pollyrepo/

si legge dove reperire la giusta versione di libfreetype6.
Homepage: gpz500's Weblog
Avatar utente
DktrKranz
Rampante Reduce
Rampante Reduce
Messaggi: 5071
Iscrizione: giovedì 2 novembre 2006, 11:24
Desktop: GNOME Shell
Distribuzione: Debian GNU/Linux sid - x86_64
Località: Guastalla (RE)
Contatti:

Re: K3b pollycoke: manca 2.3.4-0mlind1

Messaggio da DktrKranz »

Ecco cosa accade quando non si usa pbuilder o sbuild.

NON INSTALLATE LA NUOVA VERSIONE DI LIBFREETYPE6!

Codice: Seleziona tutto

freetype (2.3.5-1) unstable; urgency=low

  * New upstream release
    - Drop patches 374902-composite-glyphs, CVE-2006-3467_pcf-strlen,
      and CVE-2007-2754_ttgload, merged upstream.
    - Bump the shlibs to 2.3.5 for new symbols.

 -- Steve Langasek <vorlon@debian.org>  Sat, 07 Jul 2007 00:19:30 -0700
Contiene nuovi simboli e i "pochi" pacchetti qui elencati potrebbero avere dei problemi:

Codice: Seleziona tutto

libfreetype6
Reverse Depends:
  wesnoth-editor
  wesnoth
  qt4-qtconfig
  qt4-dev-tools
  mail-notification
  gnucash
  easytag
  blender
  qt4-designer
  qdbusviewer
  libqt4-qt3support
  libqt4-gui
  kugar
  ktorrent
  kplato
  koffice-libs
  kexi
  karbon
  amarok
  mplayer-nogui
  mplayer
  mencoder
  perlmagick
  libgd-tools
  kvirc
  freetype2-demos
  fglrx-control
  php5-gd
  openoffice.org-core
  libmagick9
  libmagick++9c2a
  libgd2-xpm
  libgd2-noxpm
  libfreetype6-dev
  ktorrent
  imagemagick
  gimp
  firefox
  kwin
  ksysguard
  ksplash
  ksmserver
  konqueror
  kmenuedit
  klipper
  kicker
  kdesktop
  kdebase-bin
  kcontrol
  kate
  gnome-control-center
  adept-updater
  adept-manager
  xaralx
  vmware-player
  transcode
  mythtv-frontend
  mythtv-backend
  mythdvd
  mythbrowser
  mplayer-nogui
  mplayer
  mjpegtools
  mencoder
  libmyth-0.20
  kxmame
  ksubtitleripper
  ksocrat
  kmediafactory
  k9copy
  gpac
  flashplugin-nonfree
  exult-studio
  avidemux
  amoeba
  zapping
  xsidplay
  xplanet
  xpdf-reader
  xfmedia
  xffm4-icons
  xffm4-filemanager
  xfdiff
  xfce4-xmms-plugin
  xfce4-messenger-plugin
  xfce4-cpu-freq-plugin
  xdvik-ja
  xchat
  xastir
  wv
  wprint
  wmhdplop
  wmforkplop
  wesnoth-editor
  wesnoth
  webdruid
  wallpaper-tray
  waimea
  w3m-img
  vtk-tcl
  vlc-nox
  vlc
  verbiste-gnome
  vdkbuilder2
  valknut
  umbrello
  uim-qt
  tvtime
  tulip
  ttmkfdir
  ttf2pt1
  totem-xine
  tora
  tlprender
  thewidgetfactory
  texmacs
  terraform
  tellico
  telak
  teg
  tclmagick
  synce-kde
  sylpheed-claws-gtk2-trayicon
  sylpheed
  swscanner
  styleclock
  streamtuner
  stellarium
  stardict-tools
  stardict-gtk
  stardict
  soundkonverter
  sodipodi
  smb4k
  skippy
  skim-scim-pinyin
  showimg
  showfoto
  scrot
  scribus-ng
  score-reading-trainer
  scorched3d
  scim-bridge-client-qt
  schafkopf
  rrdtool-tcl
  rrdtool
  rkward
  rezound
  rekall
  qterm
  qt4-qtconfig-kdecopy
  qt4-qtconfig
  qt4-dev-tools-kdecopy
  qt4-dev-tools
  qt4-designer-kdecopy
  qt3-qtconfig
  qt3-linguist
  qt3-dev-tools-embedded
  qt3-dev-tools-compat
  qsstv
  qrfcview
  qlo10k1
  qgo
  qdacco
  qbrew
  qalculate-kde
  qalculate-gtk
  python-vtk
  python-soya
  python-poker2d
  python-mapscript
  python-gdchart2
  pypanel
  pymol
  prestimel
  potracegui
  polyxmass-bin
  plplot9-driver-xwin
  plplot9-driver-wxwidgets
  plplot9-driver-psttf
  plplot9-driver-gnome2
  plplot9-driver-gd
  plplot-tcl
  plplot-bin
  ploticus
  planetpenguin-racer
  pinot
  pike7.6-image
  picwiz
  php5-mapscript
  php5-imagick
  perlmagick
  perl-mapscript
  pekwm
  pcb
  passepartout
  paps
  oxine
  oooqs2-kde
  oooqs-kde
  okular
  ogle-gui
  octplot
  octave-plplot
  nzb
  ntop
  neverball
  nemiver
  nautilus-actions
  mysql-navigator
  muse
  multisync0.90
  moagg
  mlview
  mlterm-tools
  mknfonts.tool
  mergeant
  mateedit
  matchbox-keyboard
  mapserver-bin
  mailody
  mail-notification
  littlewizard
  lilypond
  lilo-config
  lightspeed
  libxft1
  libwmf-bin
  libwftk-0.7c2a
  libvtk5-qt4
  libvtk5-qt3
  libvtk5
  libtulip-ogl-2.0c2a
  libsynfig0
  libsdl-sge
  libsablevm-native1
  libqt4-qt3support-kdecopy
  libqt4-gui-kdecopy
  libqt3-mt-sqlite
  libqt3-mt-psql
  libqt3-mt-odbc
  libqt3-mt-mysql
  libqt0-ruby1.8
  libplplot9
  libpdfkit0
  libpcmanx-core0
  libparagui1.0c2a
  libotf0
  libotf-bin
  libopenvrml5c2a
  libopenscenegraph4
  libogre6
  libming-util
  libm17n-0
  liblasi0
  libkiten1
  libkamefu0
  libk3b2-mp3
  libipe1c2a
  libipe1c2a
  libinventor0
  libimlib2-ruby
  libimager-perl
  libimage-imlib2-perl
  libhk-kdeclasses7
  libhk-classes15
  libhk-classes-dev
  libgraphite2
  libgraphicsmagick1
  libgraphics-magick-perl
  libgnomesu0
  libgnomeprint15
  libgnomeprint-bin
  libgdchart-gd2-xpm
  libgdchart-gd1-xpm
  libgdchart-gd1-noxpm
  libgd1-xpm
  libgd1-noxpm
  libgd-tools
  libgd-ruby1.8
  libgd-gd2-noxpm-perl
  libgd-gd1-perl
  libgd-gd1-noxpm-perl
  libfox1.4
  libexif-gtk5
  libeduwidgetclock0
  libdx4
  libcriawipshelper0
  libcoin40c2
  libclan2c2a-ttf
  libcegui-mk2-0c2a
  libccc-0.1-0
  libcamlimages-ocaml
  libcairo-ocaml
  libberylsettings0-kconfig
  libavifile-0.7c2
  libast2
  libafterstep1
  libafterimage0
  lastfm
  ladcca-bin
  labplot
  kzenexplorer
  kyamo
  kxstitch
  kxmleditor
  kxgenerator
  kxdocker
  kwirelessmonitor
  kwin-style-suse2
  kwin-style-serenity
  kwin-style-powder
  kwin-style-knifty
  kwin-style-dekorator
  kwin-style-blended
  kwin-style-alphacube
  kwin-baghira
  kwavecontrol
  kvirc
  kvdr
  kuickshow
  kuake
  ktranslator
  ktrack
  ktimetrace
  ktemperature
  ktechlab
  ksynaptics
  kst-plugins
  ksociograma
  ksniffer
  kslovar
  kshutdown
  kscope
  krename
  kreetingkard
  kredentials
  krecipes
  krb5-auth-dialog
  kradio
  kpsk
  kprof
  kpovmodeler
  kpicosim
  koverartist
  kover
  kooldock
  konserve
  kompile
  kompare
  komparator
  komba2
  kolabadmin
  koctave
  knutclient
  knowit
  knoda
  knmap
  knights
  knewsticker
  knetstats
  knetload
  knetfilter
  knetdockapp
  knet
  knemo
  knapster2
  kmysqladmin
  kmymoney2
  kmyfirewall
  kmrml
  kmplayer
  kmobiletools
  kmhtconvert
  kmformat
  kmess
  klogic
  klog
  klibido
  klavier
  klash
  klamav
  kkbswitch
  kitty
  kiten
  kiso
  kismet
  kiosktool
  kionjb
  kio-sword
  kio-beagle
  kinstaller
  kicker-kblogger
  kicker-contactsmenu
  kguitar
  kgeography
  kftpgrabber
  kfocus
  kflog
  kfish
  kexi-mdb-plugin
  kexi-mdb-driver
  kerry
  kdvi
  kdmtheme
  kdevelop
  kdelirc
  kde4graphics
  kde4base
  kde-style-serenity
  kde-style-klearlook
  kde-style-comix
  kde-pwmanager
  kdbus
  kcpuload
  kcontrol-autostart
  kconfigure
  kcmpureftpd
  kchmviewer-nokde
  kchmviewer
  kcheckgmail
  kcemirror
  kbiff
  kbibtex
  kbfx
  kbarcode
  kazehakase
  kautoclick
  katalog
  kat
  kasablanca
  karchiver
  karamba
  kaquarium
  kaptain
  kamefu
  kalgebra
  kalcul
  kaffe-pthreads
  kaffe-jthreads
  k3d
  jwm
  jack-rack
  ipodslave
  imhangul-status-applet
  idesk
  icewm-gnome-support
  icewm
  iaxcomm
  hugin
  hsetroot
  hotswap-gui
  gwenrename
  gwaterfall
  guidedog
  guarddog
  gtklookat
  gtk2.0-examples
  gsynaptics
  gstreamer-editor
  grip
  gretl
  grass
  graphicsmagick
  gpsim
  gpsdrive
  gplanarity
  gphotocoll
  gozer
  gnustep-gpbs
  gnustep-back0.11
  gnudoq
  gnucash
  gnubg
  gnomesword
  gnomeicu
  gnome-phone-manager
  gnome-gv
  gnome-commander
  gnome-bluetooth
  gnash
  glade
  gkrellm-hdplop
  gimageview
  giblib1
  ghemical
  ggz-kde-games
  ggobi
  gfc-examples
  gem
  gddccontrol
  gcu-bin
  gcolor2
  gchempaint
  gcdw
  gcc-snapshot
  gbdfed
  gamix
  galan
  gaiksaurus
  gabber2
  fvwm-gnome
  fvwm
  freewheeling
  freetype2-demos
  freej
  foobillard
  fonttosfnt
  firestarter
  fbi
  facturalux
  evolution-scalix
  evolution-jescs
  eva
  euler
  ettercap-gtk
  etherape
  eterm
  eqonomize
  engauge-digitizer
  encadre-image
  emifreq-applet
  einstein
  eggcups
  easytag
  dx
  dvipng
  dvdauthor
  dvd95
  dssi-plugin-xsynth
  dssi-plugin-hexter
  dssi-plugin-fluidsynth
  drscheme
  droidbattles
  drip
  dopewars
  dolphin
  djplay
  dillo
  dia
  dc-qt
  dbus-viewer
  datakiosk
  crystalspace
  cronosii
  criawips
  creox
  conglomerate
  classpath-qtpeer
  classpath-gtkpeer
  cgi-mapserver
  camgrab
  byzanz
  brutalchess
  briquolo
  brasero
  bmpx
  blinken
  blender
  bittornado-gui
  bibletime
  bfilter-gui
  beep-media-player
  aterm-ml
  aterm
  asc
  arson
  aquamarine
  apollon
  anymeal
  amaya
  alltray
  ale
  afterstep
  advi
  adonthell
  fglrx-control
  xubuntu-system-tools
  xlogo
  xfwm4
  xfprint4
  xfonts-utils
  xfdesktop4
  xfd
  xfce4-weather-plugin
  xfce4-verve-plugin
  xfce4-utils
  xfce4-taskmanager
  xfce4-session
  xfce4-panel
  xfce4-mixer
  xfce4-mcs-manager
  xfce4-mailwatch-plugin
  xfburn
  xclock
  xarchiver
  totem-gstreamer
  thunar-volman-plugin
  thunar
  tetex-bin
  sound-juicer
  scribus
  rss-glx
  rhythmbox
  quanta
  qt4-designer
  qt3-dev-tools
  qt3-designer
  qt3-assistant
  qobex
  python-imaging-dbg
  python-imaging
  python-gnome2-extras-dbg
  python-gnome2-extras
  python-gd-dbg
  python-gd
  poppler-utils
  php5-gd
  orage
  openoffice.org-core
  network-manager-gnome
  nautilus-sendto
  mousepad
  libxft2
  libxfont1
  libwv-1.2-3
  libwmf0.2-7
  libvte9
  libsdl-ttf2.0-0
  librsvg2-common
  librsvg2-2
  librrd2
  libqt4-qt3support
  libqt4-gui
  libqt3-mt
  libqt-perl
  libpoppler1-qt
  libpoppler1-glib
  libpoppler1
  libpango1.0-0
  libmagick9
  libmagick++9c2a
  libksieve0
  libkpimidentities1
  libkjsembed1
  libkdepim1a
  libkdeedu3
  libkcal2b
  libk3b2
  libimlib2
  libgtkhtml2-0
  libgtk2.0-bin
  libgnomeprint2.2-0
  libgksu2-0
  libgdiplus
  libgdchart-gd2-noxpm
  libgd2-xpm
  libgd2-noxpm
  libgd-gd2-perl
  libgcj7-awt
  libfreetype6-dev
  libfontconfig1
  libdirectfb-extra
  libcairo2
  libcairo-directfb2
  libavahi-qt3-1
  kwordquiz
  kwin-style-crystal
  kwin
  kvoctrain
  kverbos
  kugar
  kturtle
  ktouch
  ktorrent
  ksystemlog
  ksysguard
  ksvg
  kstars
  ksplash-engine-moodin
  ksplash
  ksmserver
  ksirtet
  krfb
  krec
  krdc
  kplato
  kpercentage
  korganizer
  kopete
  konversation
  konqueror
  kommander
  koffice-libs
  knetworkmanager
  kmplot
  kmplayer-konq-plugins
  kmplayer-base
  kmenuedit
  kmail
  klipper
  klinkstatus
  klettres
  klatin
  kipi-plugins
  kio-apt
  kig
  kicker
  khangman
  kghostview
  kfouleggs
  kexi
  keep
  keduca
  kdesktop
  kdepim-kresources
  kdepim-kio-plugins
  kdelibs4c2a
  kdegraphics-kfile-plugins
  kdebluetooth-irmcsync
  kdebluetooth
  kdebase-bin
  kcontrol
  kbruch
  kbattleship
  kbabel
  kate
  katapult
  karm
  karbon
  kanagram
  kalzium
  kalarm
  kaffeine-xine
  kaffeine
  kaddressbook
  k3b
  inkscape
  imagemagick
  gwenview
  graphviz
  gparted
  gnome-utils
  gnome-screensaver
  gnome-power-manager
  gnome-mag
  gnome-control-center
  glade-gnome
  gimp-print
  gimp
  gdm
  gcompris
  fontforge
  fontforge
  fontconfig
  firefox
  evolution-exchange
  evolution
  evince-gtk
  evince
  epiphany-browser
  digikamimageplugins
  digikam
  dia-gnome
  denemo
  beagle
  ark
  amarok
  adept-updater
  adept-manager
  abiword-plugins
  abiword-gnome
  abiword
Ultima modifica di DktrKranz il domenica 29 luglio 2007, 15:59, modificato 1 volta in totale.
DarkSun

Re: K3b pollycoke: manca 2.3.4-0mlind1

Messaggio da DarkSun »

Ancora non capisco il motivo che vi porta a usare repository non ufficiali.
Usare repository non ufficiali è pericoloso perchè possono capitare proprio situazioni del genere che provocano casini all'intero sistema, soprattutto se i pacchetti non sono pacchettizzati a dovere e quindi, con i giusti tool e tra l'altro, da un tizio che non sa nemmeno come si pacchettizza.

Usate i repository di Ubuntu e vedrete che non riceverete più casini che potrebbero compromettere l'intero sistema.

Ciao
Divilinux

Re: K3b pollycoke: manca 2.3.4-0mlind1

Messaggio da Divilinux »

@DktrKranz
e' capitato anche a me di recente, ma la compilazione non richede libfreetype6..a quanto ho capito chi cell'ha installata, se prova a pacchettizzare qualche programma, libfreetype6 rientra nelle dipendenze
Io uso dh-make e debhelper...
Non credo sia colpa di Felipe.. :-\
Avatar utente
DktrKranz
Rampante Reduce
Rampante Reduce
Messaggi: 5071
Iscrizione: giovedì 2 novembre 2006, 11:24
Desktop: GNOME Shell
Distribuzione: Debian GNU/Linux sid - x86_64
Località: Guastalla (RE)
Contatti:

Re: K3b pollycoke: manca 2.3.4-0mlind1

Messaggio da DktrKranz »

Ho analizzato i due pacchetti e fortunatamente non ci sono rimozioni significative di simboli (uno è una libreria standard e l'altro è usato nel linking di freetype):

Codice: Seleziona tutto

+ T FTC_ImageCache_LookupScaler
+ T FTC_SBitCache_LookupScaler
+ T FT_Face_CheckTrueTypePatents
+ T FT_Face_SetUnpatentedHinting
+ T FT_Get_CMap_Format
+ T FT_Get_Gasp
+ T FT_Library_SetLcdFilter
- U __ctype_b_loc
+ T af_glyph_hints_dump_edges
+ T af_glyph_hints_dump_points
+ T af_glyph_hints_dump_segments
+ D af_indic_script_class
+ T ft_corner_is_flat
+ T ft_corner_orientation
+ T ft_mem_dup
+ T ft_mem_strcpyn
+ T ft_mem_strdup
- U strcpy
Rimane il fatto chè è cambiato il nome della libreria (da /usr/lib/libfreetype.so.6.3.10 a /usr/lib/libfreetype.so.6.3.16) e potrebbe essere necessario creare un symlink per evitare guai maggiori.

@ Divilinux
k3b richiede una versione di libfreetype generica, il problema è che il pacchetto in questione non è stato compilato usando una versione pulita di Feisty, bensì una "drogata" da repository esterni, nei quali è presente anche questa libreria aggiornata. Il processo di compilazione di k3b, avendo a disposizione questa specifica versione di libfreetype6, ha aggiornato l'elenco delle dipendenze con una versione maggiore di quella presente ufficialmente in Feisty. Distribuire questa versione costringe gli utenti interessati a fare un aggiornamento di libreria, caso già problematico di suo, in questo caso aggravato dal fatto di essere una libreria piuttosto importante per parecchi pacchetti.
Questo non è un j'accuse nei confronti di felipe, ma qualche mese fa gli ho consigliato di usare pbuilder o sbuild per il suo repository onde evitare problemi di questo tipo, che oggi si sono manifestati. Lui non vuole fare, giustamente, backport di librerie, ma in questo caso l'ha fatto involontariamente, purtroppo mettendo a rischio parecchie installazioni di Feisty.
Avatar utente
felipe
Prode Principiante
Messaggi: 22
Iscrizione: mercoledì 19 luglio 2006, 13:09
Contatti:

Re: K3b pollycoke: manca 2.3.4-0mlind1 [RISOLTO]

Messaggio da felipe »

@Tutti:

Credo di aver sistemato il piccolo problema. Purtroppo in questo caso non è dipeso direttamente da me, ma era una cosa che potevo e dovevo prevenire :)

http://pollycoke.wordpress.com/2007/07/ ... pollyrepo/

Ad ogni modo, testate: dovrebbe essere tutto ok (librerie riportate alla versione standard e pacchetto ricompilato). Sempre che tutto funzioni per il meglio, chi ha iniziato il thread potrebbe mettere la dicitura [RISOLTO]?

Buon divertimento!
Avatar utente
domi84
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1160
Iscrizione: lunedì 20 novembre 2006, 19:20
Località: Glasgow
Contatti:

Re: K3b pollycoke: manca 2.3.4-0mlind1 [Risolto]

Messaggio da domi84 »

Fatto! (good)
Scrivi risposta

Ritorna a “Applicazioni”

Chi c’è in linea

Visualizzano questa sezione: Google [Bot] e 12 ospiti